Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11499)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11502)
@@ -16,5 +16,5 @@
  *   GNU General Public License for more details.
  *
- *   You should have received a copy of the GNU General Public License
+ *   You should have     a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
@@ -58,59 +58,4 @@
         OrxAssert(!checkpoints.empty(), "No Checkpoints in Level");
         checkpoints_ = checkpoints;
-        /*orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl<<endl;
-
-        }//ausgabe*/
-        /*
-        for (std::vector<RaceCheckPoint*>::iterator it = checkpoints.begin(); it != checkpoints.end(); ++it)
-        {
-            std::set<int> nextCheckPoints = ((*it)->getNextCheckpoints());
-            if(!nextCheckPoints.empty())
-            {
-                for (std::set<int>::iterator numb = nextCheckPoints.begin(); numb!=nextCheckPoints.end(); numb++)
-                {
-                    RaceCheckPoint* point2 = findCheckpoint((*numb));
-
-                    //if(point2 != nullptr)
-                    //placeVirtualCheckpoints((*it), point2);
-                }
-            }
-        }
-        */
-        /*
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl;
-
-        }//ausgabe
-        orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;*/
         staticRacePoints_ = findStaticCheckpoints(nextRaceCheckpoint_, checkpoints);
         // initialisation of currentRaceCheckpoint_
@@ -122,5 +67,4 @@
             continue;
         }
-        //orxout()<<"Die ANzahl der virtuellen CP betraegt: "<< (-i)-2<<endl;
 
     }
@@ -225,4 +169,5 @@
                 minNextRaceCheckPoint = nextRaceCheckPoint;
             }
+
         }
 
@@ -363,4 +308,5 @@
             //orxout()<< "CP "<< currentRaceCheckpoint_->getCheckpointIndex()<<" chanched to: "<< nextRaceCheckpoint_->getCheckpointIndex()<<endl;
         }
+
         else if ((lastPositionSpaceship-this->getControllableEntity()->getPosition()).length()/dt > ADJUSTDISTANCE)
         {
@@ -380,5 +326,8 @@
         //orxout(user_status) << "dt= " << dt << ";  distance= " << (lastPositionSpaceship-this->getControllableEntity()->getPosition()).length() <<std::endl;
         lastPositionSpaceship = this->getControllableEntity()->getPosition();
+       
+this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
+        this->boostControl();
     }
 
